Skip to content

Enqueue Wizard Try

POST
/v1/wizard/try
curl --request POST \
--url https://example.com/v1/wizard/try \
--header 'Content-Type: application/json' \
--data '{ "tenant_id": "example", "idempotency_key": "example", "proposal_id": "example", "provider": "example", "ssot": {}, "strict": false, "apply_binding": false, "confirm_update": false, "update_mode": "ask", "enabled": true }'
x-api-key
Any of:
string
Media typeapplication/json
WizardTryIn
object
tenant_id
required
Tenant Id
string
>= 1 characters
idempotency_key
Any of:
string
proposal_id
required
Proposal Id
string
>= 1 characters
provider
required
Provider
string
>= 1 characters
ssot
Ssot
object
key
additional properties
any
strict
Strict
boolean
apply_binding
Apply Binding
boolean
confirm_update
Confirm Update
boolean
update_mode
Update Mode
string
default: ask
Allowed values: ask force skip
enabled
Any of:
boolean

Successful Response

Media typeapplication/json
JobOut
object
tenant_id
required
Tenant Id
string
id
required
Id
string
proposal_id
Any of:
string
job_type
required
Job Type
string
provider_kind
required
Provider Kind
string
status
required
Status
string
Allowed values: queued running succeeded failed
payload
required
Payload
object
key
additional properties
any
result
Any of:
object
key
additional properties
any
error_message
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{
"status": "queued"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}